Bug 232612 - Review Request: perl-Class-Observable - Allow other classes and objects to respond to events in yours
Review Request: perl-Class-Observable - Allow other classes and objects to re...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
: 231755 (view as bug list)
Depends On:
Blocks: perl-Workflow
  Show dependency treegraph
 
Reported: 2007-03-16 09:16 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 05:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2007-03-16 09:16:50 EDT
Spec URL: http://home.bawue.de/~ixs/perl-Class-Observable/perl-Class-Observable.spec
SRPM URL: http://home.bawue.de/~ixs/perl-Class-Observable/perl-Class-Observable-1.04-1.src.rpm
Description:

If you have ever used Java, you may have run across the
java.util.Observable class and the java.util.Observer interface. With them
you can decouple an object from the one or more objects that wish to be
notified whenever particular events occur.
Comment 1 Chris Weyl 2007-03-16 22:59:31 EDT
*** Bug 231755 has been marked as a duplicate of this bug. ***
Comment 2 Chris Weyl 2007-03-16 23:06:32 EDT
The construct:

%if "%fedora" >= "7"
BuildRequires:  perl-devel
%endif

Is highly non-portable, and indeed, causes the package to fail to rebuild even
on Fedora machines if %fedora hasn't been defined somewhere.  With the
still-being-worked-through perl/perl-devel split, the preferred (well, to me
at least) and, more importantly, portable way of pulling in perl-devel is to
have a buildrequires on the module used to handle the build.  In this case,
we're in a standard Makefile.PL situation, so adding a buildrequires against
perl(ExtUtils::MakeMaker) will be both portable and cause perl-devel to be
pulled in.

Replace the conditional with a BuildRequires: perl(ExtUtils::MakeMaker) and
I'll approve the package.


+ source files match upstream:
a4fe8e71f0082e51d5d97da865b6a708  Class-Observable-1.04.tar.gz
a4fe8e71f0082e51d5d97da865b6a708  ../Class-Observable-1.04.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
O noarch -- no debuginfo package
+ rpmlint is silent.
+ final provides and requires are sane:
== provides
perl(Class::Observable)
perl-Class-Observable = 1.04-1.fc6
== requires
perl(:MODULE_COMPAT_5.8.8)
perl(Class::ISA)
perl(Scalar::Util)
perl(strict)
+ %check is present and all tests pass:
All tests successful.
Files=2, Tests=39,  0 wallclock secs ( 0.10 cusr +  0.04 csys =  0.14 CPU)
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

Comment 3 Andreas Thienemann 2007-03-17 05:54:31 EDT
http://home.bawue.de/~ixs/perl-Class-Observable/perl-Class-Observable-1.04-2.src.rpm

New srpm and spec, fixing the issue of the perl-devel req.
Comment 4 Chris Weyl 2007-03-17 12:18:21 EDT
APPROVED
Comment 5 Andreas Thienemann 2007-03-17 12:36:43 EDT
New Package CVS Request
=======================
Package Name: perl-Class-Observable
Short Description: Allow other classes and objects to respond to events in yours
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 6 Andreas Thienemann 2007-03-23 05:40:22 EDT
Thanks for the review, package has been built for FC-5, FC-6 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.